# unique_copy.h File Reference

Parallel implementations of std::unique_copy(). This file is a GNU parallel extension to the Standard C++ Library. More...

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Defines

- #define _GLIBCXX_PARALLEL_UNIQUE_COPY_H

## Functions

- template<typename InputIterator , class OutputIterator > OutputIterator __gnu_parallel::parallel_unique_copy (InputIterator first, InputIterator last, OutputIterator result)
- template<typename InputIterator , class OutputIterator , class BinaryPredicate > OutputIterator __gnu_parallel::parallel_unique_copy (InputIterator first, InputIterator last, OutputIterator result, BinaryPredicate binary_pred)

## Detailed Description

Parallel implementations of std::unique_copy(). This file is a GNU parallel extension to the Standard C++ Library.

Definition in file unique_copy.h.